View Issue Details

IDProjectCategoryView StatusLast Update
0003598PluginsArclitepublic2018-04-17 21:14
ReporterBenchmark_rbAssigned To2useven10 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version 
Summary0003598: Отвалился детект некоторых SFX архивов формата ZIP
DescriptionОтвалился детект некоторых SFX архивов формата ZIP (а может и не только ZIP). 7-zip 18.03 прекрасно в них "входит и выходит". Старый попавшийся под руку ArcLite build 254 (от 20.07.2017) - тоже.
Steps To ReproduceРаспаковать приаттаченый архив с примерами таких SFX'ов.
Посмотреть их содержимое старым ArcLite. Попытаться посмотреть новым. Сравнить результат.
Tagsarclite

Activities

Benchmark_rb

2018-04-13 00:18

reporter  

zip_examples.zip (748,131 bytes)

2useven10

2018-04-13 12:38

developer   bugnote:0016044

Перестало работать при переходе на 7z 17.01

2useven10

2018-04-13 12:44

developer   bugnote:0016045

Текущая версия arclite работает c 7z.dll 16.04
17.00 и выше не открывает.
Надо смотреть что поменялось в 7z.dll и адаптировать arclite.

2useven10

2018-04-13 18:11

developer   bugnote:0016046

b283 -- надо проверять

Benchmark_rb

2018-04-14 14:44

reporter   bugnote:0016047

Last edited: 2018-04-14 14:46

View 2 revisions

SFX ZIP починился. Зато по-прежнему не работает с SFX ARJ, LZH/LHA и многими RAR.
Примеры в аттаче.

p.s. Файл почему-то не приаттачился. Дублирую тут:
https://yadi.sk/d/VtuKs0y63UQaRW

2useven10

2018-04-14 17:57

developer   bugnote:0016048

Почему-то не удивлён...
Пока либо zip отваливается, либо остальные.
Ладно, буду думать, как ежа с ужом в один код засунуть.

2useven10

2018-04-16 14:40

developer   bugnote:0016049

Last edited: 2018-04-16 16:01

View 3 revisions

Я откачу изменения b283.
После выхода 7z 18.04 должно будет работать нормально.
https://sourceforge.net/p/sevenzip/discussion/45797/thread/d68356a3/

2useven10

2018-04-16 17:03

developer   bugnote:0016050

b284 - откат + fixed 7z.dll

Benchmark_rb

2018-04-17 18:40

reporter   bugnote:0016051

Подтверждаю - вроде всё, что поддерживается актуальной версией 7z.dll, снова распаковывается (проверялось на b285). Спасибо!

Issue History

Date Modified Username Field Change
2018-04-13 00:18 Benchmark_rb New Issue
2018-04-13 00:18 Benchmark_rb File Added: zip_examples.zip
2018-04-13 00:18 Benchmark_rb Tag Attached: arclite
2018-04-13 12:38 2useven10 Note Added: 0016044
2018-04-13 12:44 2useven10 Note Added: 0016045
2018-04-13 18:11 2useven10 Assigned To => 2useven10
2018-04-13 18:11 2useven10 Status new => feedback
2018-04-13 18:11 2useven10 Note Added: 0016046
2018-04-14 14:44 Benchmark_rb Note Added: 0016047
2018-04-14 14:44 Benchmark_rb Status feedback => assigned
2018-04-14 14:46 Benchmark_rb Note Edited: 0016047 View Revisions
2018-04-14 17:57 2useven10 Note Added: 0016048
2018-04-16 14:40 2useven10 Note Added: 0016049
2018-04-16 16:00 2useven10 Note Edited: 0016049 View Revisions
2018-04-16 16:01 2useven10 Note Edited: 0016049 View Revisions
2018-04-16 17:03 2useven10 Status assigned => feedback
2018-04-16 17:03 2useven10 Note Added: 0016050
2018-04-17 18:40 Benchmark_rb Note Added: 0016051
2018-04-17 18:40 Benchmark_rb Status feedback => assigned
2018-04-17 21:14 2useven10 Status assigned => closed
2018-04-17 21:14 2useven10 Resolution open => fixed